package com.liquidnet.service.goblin.dto.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@ApiModel(value = "GoblinGoodsInfoShopCartVo", description = "商品购物车spu信息")
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GoblinGoodsInfoShopCartVo implements Serializable, Cloneable {
    private static final long serialVersionUID = -4712015317981742851L;
    @ApiModelProperty(position = 13, value = "商品名称[100]")
    private String name;

    private static final GoblinGoodsInfoShopCartVo obj = new GoblinGoodsInfoShopCartVo();

    public static GoblinGoodsInfoShopCartVo getNew() {
        try {
            return (GoblinGoodsInfoShopCartVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new GoblinGoodsInfoShopCartVo();
        }
    }
/*    public int compareTo(GoblinGoodsInfoVo arg0) {
        return this.getCount().compareTo(arg0.getCount());
    }*/

}
